WordPress.org

Plugin Directory

WP-DenyHost

WP-DenyHost denies a spammer from accessing your WordPress site. WP-DenyHost can add spammers to the CloudFlare Block list

1.3.1

  • Tested & found compatible with WP 4.6.

1.3.0

  • Hard-code the text-domain for better compatibility with GlotPress.
  • Update plugin for WordPress Coding Standards.
  • Tested & found compatible with WP 4.5.
  • General housekeeping.

1.2.7

  • Tested with WordPress 4.3

1.2.6

  • added new languages/wp-denyhost.po file (note, renamed the language file). removed javascript from plugin (loads faster)

1.2.5

  • added $wpdb->prepare() to $wpdb->getvar()

1.2.4

  • replaced wp_print_scripts hook with admin_enqueue_scripts hook

1.2.3

  • removed PHP 4 "constructor"

1.2.2

  • bug fix

1.2.1

  • added ps_wp_denyhost_admin_init, triggered by admin_init hook

1.2.0

  • Added support for CloudFlare Block list + removed wp deprecated code

1.1.3

  • Fixed minor bug

1.1.2

  • Added response 403 Forbidden

1.1.1

  • Added languages/wp-denyhost.pot

1.1.0

  • Major rewrite. Added option page

1.0.1

  • Replaced LIKE (‘%$suspect%’) with = ‘$suspect’ i.e. look for exact match

1.0

  • initial release

Requires: 4.4 or higher
Compatible up to: 4.6.1
Last Updated: 2 months ago
Active Installs: 90+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
0,1,0